package dto

import (
	"github.com/oklog/ulid/v2"
)

type ActivityDto struct {
	ID          ulid.ULID `json:"id"`
	Name        string    `json:"name"`
	BillingRate float64   `json:"billingRate"`
}

type ActivityCreateDto struct {
	Name        string  `json:"name"`
	BillingRate float64 `json:"billingRate"`
}

type ActivityUpdateDto struct {
	ID          ulid.ULID `json:"id"`
	Name        *string   `json:"name"`
	BillingRate *float64  `json:"billingRate"`
}
