package dto

import (
	"github.com/oklog/ulid/v2"
)

type ProjectDto struct {
	ID         ulid.ULID `json:"id"`
	Name       string    `json:"name"`
	CustomerID int       `json:"customerId"`
}

type ProjectCreateDto struct {
	Name       string `json:"name"`
	CustomerID int    `json:"customerId"`
}

type ProjectUpdateDto struct {
	ID         ulid.ULID `json:"id"`
	Name       *string   `json:"name"`
	CustomerID *int      `json:"customerId"`
}
